VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LeslieProcessor Class Reference

`#include <mdaLeslieProcessor.h>`

Inheritance diagram for LeslieProcessor:

## Public Member Functions
| LeslieProcessor ()
| ~LeslieProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0xFBD3AD80, 0x9E2847E0, 0xB87CDEC3, 0x5C0469B1)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE

## Protected Attributes
float | filo
float | fbuf1
float | fbuf2
float | twopi
float | hspd
float | hset
float | hmom
float | hphi
float | hwid
float | hlev
float | hdep
float | lspd
float | lset
float | lmom
float | lphi
float | lwid
float | llev
float | gain
float * | hbuf
int32 | size
int32 | hpos
float | chp
float | dchp
float | clp
float | dclp
float | shp
float | dshp
float | slp
float | dslp

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

LeslieProcessor | ( |  | ) |

~LeslieProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inline virtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inline static

static DECLARE_UID | ( | uid | ,
|  | 0xFBD3AD80 | ,
|  | 0x9E2847E0 | ,
|  | 0xB87CDEC3 | ,
|  | 0x5C0469B1 |
| ) |  |
| inline static

void recalculate | ( |  | ) |
| protected virtual

Reimplemented from Processor.

## Member Data Documentation

float filo
| protected

float fbuf1
| protected

float fbuf2
| protected

float twopi
| protected

float hspd
| protected

float hset
| protected

float hmom
| protected

float hphi
| protected

float hwid
| protected

float hlev
| protected

float hdep
| protected

float lspd
| protected

float lset
| protected

float lmom
| protected

float lphi
| protected

float lwid
| protected

float llev
| protected

float gain
| protected

float* hbuf
| protected

int32 size
| protected

int32 hpos
| protected

float chp
| protected

float dchp
| protected

float clp
| protected

float dclp
| protected

float shp
| protected

float dshp
| protected

float slp
| protected

float dslp
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.